### Method

# Shumate MapSourceRegistry remove

#### Declaration [src]

    void
    shumate_map_source_registry_remove (
      ShumateMapSourceRegistry* self,
      const gchar* id
    )

#### Description [src]

Removes the corresponding `ShumateMapSource` from the registry. If the source doesn’t exist in the registry, this function does nothing.

#### Parameters

`id` | `const gchar*`
| A `ShumateMapSource` id.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.